/*
 * PjPCurve_CP.java
 *
 * Created on December 5, 2004, 5:58 PM
 */
package Grapher2D.geom;

import java.awt.*;

import jv.object.PsDebug;
import jv.object.PsPanel;
import jv.object.PsUpdateIf;
import jv.project.PgGeometryIf;
import Grapher2D.util.*;
/**
 *
 * @author David
 */
public class PgPCurve_CP extends PsPanel {
        protected	PgPCurve                                m_PgPCurve;
        protected       PsPanel                                 m_pFunc;
	protected	PsPanel					m_pDomain;
        
    /** Creates a new instance of PCurve_CP */
    public PgPCurve_CP() {
        super();
		if (getClass() == PgPCurve_CP.class) {
			init();
		}
    }
    
    public void init() {
		super.init();
		addTitle("Graph");
             
                m_pFunc = new PsPanel();
                m_pFunc.setLayout(new GridLayout(1, 1));
                add(m_pFunc);
                
		m_pDomain = new PsPanel();
  		add(m_pDomain);
		
		addLine(1);
    }
    
    public void setParent(PsUpdateIf parent) {
		super.setParent(parent);
             
		m_PgPCurve = (PgPCurve)parent;
                
                setTitle("Parametric Curve " + m_PgPCurve.getName());
                
          //      m_pFunc.add(m_PgPCurve.m_func2.assureInspector(PsPanel.INFO,PsPanel.INFO_EXT));
                m_pFunc.add(new PuFunc_IP(m_PgPCurve.m_func2));   
                m_pDomain.add(m_PgPCurve.m_domain.assureInspector(PsPanel.INFO,PsPanel.INFO_EXT));

        }
    public boolean update(Object event) {
		if (PsDebug.NOTIFY) PsDebug.notify("isShowing = "+isShowing());
		return super.update(event);
	}
    
}
